export declare const encryptData: (data: ArrayBuffer, encryptionKey: string, nonce_length?: number) => Promise<Blob>;
export declare const decryptData: (data: Blob, decryptionKey: string, nonce_length?: number) => Promise<ArrayBuffer>;
export declare const generateEncryptionKeyString: () => Promise<string>;
export declare const encryptFile: (file: File, encryptionKey: string, nonce_length?: number) => Promise<Blob>;
export declare const decryptFile: (file: Blob, decryptionKey: string, fileName: string, nonce_length?: number) => Promise<File>;
export declare const encryptString: (text: string, encryptionKey: string, nonce_length?: number) => Promise<unknown>;
export declare const decryptString: (base64DataUrl: string, decryptionKey: string, nonce_length?: number) => Promise<string>;
export declare const generateNanoId: (length: number) => string;
export declare const createHashWithoutPadding: (val: string) => string;
export declare const createHash: (val: string) => string;
